jif.ast

## Interface JifCanonicalTypeNode

- All Superinterfaces:
    polyglot.ast.CanonicalTypeNode, java.lang.Cloneable, polyglot.util.Copy<polyglot.ast.Node>, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Prefix, polyglot.ast.QualifierNode, polyglot.ast.Receiver, java.io.Serializable, polyglot.ast.Term, polyglot.ast.Typed, polyglot.ast.TypeNode
  All Known Implementing Classes:
    JifCanonicalTypeNode_c

      public interface JifCanonicalTypeNode
      extends polyglot.ast.CanonicalTypeNode

  A `JifCanonicalTypeNode` is a type node for a canonical type in Polyj.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.ast.TypeNode

      `polyglot.ast.TypeNode.Instance`

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    - ### Fields inherited from interface polyglot.ast.Term

      `ENTRY, EXIT`

  - ### Method Summary

    - ### Methods inherited from interface polyglot.ast.TypeNode

      `name, type`

    - ### Methods inherited from interface polyglot.ast.Typed

      `type`

    - ### Methods inherited from interface polyglot.ast.QualifierNode

      `qualifier`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

    - ### Methods inherited from interface polyglot.ast.Term

      `exceptions, exceptions, reachable, reachable`